%define	name	imlib2
%define version 1.4.6
%define release	%mkrel 1
%define major	1
%define libname	%mklibname %{name}_ %{major}
%define develname %mklibname %name -d
%define enable_mmx 0
%{?_with_mmx: %global enable_mmx 1}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Powerful image loading and rendering library
License:	Imlib2
URL:		http://enlightenment.org/Libraries/Imlib2/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}
Source0:	http://download.enlightenment.org/snapshots/2008-01-25/%name-%version.tar.xz
#------------------------------------------------
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gif-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
#------------------------------------------------

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%develname
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:  	%mklibname %{name}_ 1 -d

%description -n	%develname
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, gif, tiff, xpm etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%package doc
Summary:	Imlib2 doc
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}

%description doc
This package contains doc files.


%prep
%setup -q

%build
%configure2_5x --disable-static \
%if %enable_mmx
	--enable-mmx=yes \
%else
	--enable-mmx=no \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove files not bundled
rm -f %{buildroot}/%{_libdir}/lib*.la

%multiarch_binaries %{buildroot}%{_bindir}/imlib2-config

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING
%{_libdir}/lib*.so.*

%files -n %develname
%defattr(-,root,root,0755)
%{_bindir}/*
%multiarch %{_bindir}/imlib2-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_libdir}/%{name}/loaders

%files data
%defattr(-,root,root)
%doc AUTHORS README COPYING
%{_datadir}/%{name}

%files doc
%defattr(-,root,root)
%doc AUTHORS README COPYING doc/index.html doc/imlib2.gif doc/blank.gif


%changelog
* Wed Jan 29 2014 bb <bb> 1.4.6-1pclos2014
- update

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 1.4.5-1pclos2011
- 1.4.5

* Mon Aug 09 2010 Texstar <texstar at gmail.com> 1.4.4-3pclos2010
- back out libjpeg8

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 1.4.4-2pclos2010
- rebuild libjpeg8

* Wed Aug 04 2010 Texstar <texstar at gmail.com> 1.4.4-1pclos2010
- 1.4.4

* Sun Apr 18 2010 Texstar <texstar at gmail.com> 1.4.3-1pclos2010
- 1.4.3

* Tue May 05 2009 Texstar <texstar@gmail.com> 1.4.2-1pclos2009
- 1.4.2

* Sun Nov 12 2006 Texstar <texstar@houston.rr.com> 1.2.2-5pclos2007
- Build for PCLinuxOS 2007

